{% extends 'base.html' %}

{% load static %}
{% block content %}

<div class="main-booksearch">
    <div class="row">

        <!-- Sidebar -->
        <nav id="sidebar2" class="left-container col-3">
            <div>
                <div class="sidebar-header header-about">
                    <h1>Book<br>Search</h1>
                    <br>
                    <p>
                    Search for your favorite book!
                    <br>
                </div>

                <ul class="list-unstyled components ml-3">
                    <p>Menu</p>
                    <div id="sidebarIn" class="active">
                        <li><a href="{% url 'story8:book' %}">Story8</a></li>
                        <li><a href="{% url 'login' %}">Log in</a></li>

                    </div>
                </ul>
            </div>
        </nav>
        <!-- End sidebar -->
        
    

        <!-- Page Content -->
        <div class="right-container mt-5">

            <!-- Sidebar toggle button -->
            <div id="sidebar-toggle col">
                <nav class="navbar navbar-expand-lg navbar-light" id="sidebar-container">
                    <div class="container-fluid">
                        <button type="button" id="sidebarCollapse" class="btn btn-info">
                            <i class="fa fa-align-left"></i>
                            <span>Toggle Sidebar</span>
                        </button>            
                    </div>
                </nav>
            </div>

            <!-- Book search content -->
            <div class="container ml-5 mt-5">
                <div class="bookSearch-title">
                    <h1><i class="fa fa-search"></i><span class="ml-3">BOOK SEARCH</span></h1>
                    
                </div>
        
                <div class="search-bar">
                    <input class="form-control" type="text" placeholder="Look for anything you like..." id="search-input" name="search">
                </div>
        
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th scope="col" class="align-center">#</th>
                            <th scope="col" class="align-center">Cover</th>
                            <th scope="col" class="align-center">Title</th>
                            <th scope="col" class="align-center">Authors</th>
                            <th scope="col" class="align-center">Publisher</th>
                            <th scope="col" class="align-center">Published Date</th>
                        </tr>
                    </thead>
                    <tbody id="search-result"></tbody>
                </table>

            </div>
            <!-- End book search content -->
        </div>
        <!-- End page content -->
    </div>
</div>      

<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
<script src="{% static 'js/story8.js' %}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('#sidebarCollapse').on('click', function () {
            $('#sidebar2').toggleClass('active');
            });

    });

</script>

{% endblock content %}
